﻿<Window x:Class="ServiceBook.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:properties="clr-namespace:ServiceBook.Properties"
        mc:Ignorable="d"
        Title="MainWindow" Height="360" Width="600">
    <Grid>
        <Grid.RowDefinitions>
            <!-- add to global variables -->
            <RowDefinition Height="*"/>
            <RowDefinition Height="*"/>
            <RowDefinition Height="*"/>
            <RowDefinition Height="*"/>
            <RowDefinition Height="*"/>
            <RowDefinition Height="*"/>
            <RowDefinition Height="*"/>
            <RowDefinition Height="*"/>
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*"/>
            <ColumnDefinition Width="*"/>
        </Grid.ColumnDefinitions>

        <!--LEFT SIDE-->
        <!--Title-->
        <StackPanel Grid.Column="0" Grid.Row="0" Grid.ColumnSpan="2" HorizontalAlignment="Center">
            <Label Content="{x:Static properties:Resources.Title}" />
        </StackPanel> 

        <!--Radiobuttons-->
        <StackPanel Grid.Column="0" Grid.Row="1" Orientation="Horizontal" HorizontalAlignment="Center">
            <StackPanel HorizontalAlignment="Left">
                <RadioButton GroupName="VehicleType" IsChecked="True" Command="{Binding VehicleTypeChangedCommand}" CommandParameter="Car">
                    <Label Content="{x:Static properties:Resources.Car}"/>
                </RadioButton>
            </StackPanel>

            <StackPanel HorizontalAlignment="Center">
                <RadioButton GroupName="VehicleType" Command="{Binding VehicleTypeChangedCommand}" CommandParameter="Motorcycle">
                    <Label Content="{x:Static properties:Resources.Motorcycle}"/>
                </RadioButton>
            </StackPanel>

            <StackPanel HorizontalAlignment="Right">
                <RadioButton GroupName="VehicleType" Command="{Binding VehicleTypeChangedCommand}" CommandParameter="Other">
                    <Label Content="{x:Static properties:Resources.Other}"/>
                </RadioButton>
            </StackPanel>
        </StackPanel>

        <!--ComboBox-->
        <ComboBox Grid.Column="0" Grid.Row="2" ItemsSource="{Binding FilteredVehiclesCollection}" DisplayMemberPath="Name" SelectedItem="{Binding SelectedVehicle}"/>

        <!--Information-->
        <StackPanel Grid.Column="0" Grid.Row="3" Orientation="Horizontal">
            <Label Content="{Binding SelectedVehicle.Name}"/>
            <Label Content="{x:Static properties:Resources.Summary}"/>
        </StackPanel>

        <StackPanel Grid.Column="0" Grid.Row="4" Orientation="Horizontal">
            <Label Content="{x:Static properties:Resources.Faults}"/>
            <Label Content="{Binding NumberOfFaults}" />
            <Label Content="{x:Static properties:Resources.Price}"/>
            <Label Content="{Binding FaultsSummaryPrice}" />
        </StackPanel>

        <StackPanel Grid.Column="0" Grid.Row="5" Orientation="Horizontal">
            <Label Content="{x:Static properties:Resources.Investments}"/>
            <Label Content="{Binding NumberOfInvestments}" />
            <Label Content="{x:Static properties:Resources.Price}"/>
            <Label Content="{Binding InvestmentsSummaryPrice}" />
        </StackPanel>

        <StackPanel Grid.Column="0" Grid.Row="6" Orientation="Horizontal">
            <Label Content="{x:Static properties:Resources.Summary}"/>
            <Label Content="{Binding NumberOfRecords}" />
            <Label Content="{x:Static properties:Resources.Price}"/>
            <Label Content="{Binding AllRecordsSummaryPrice}" />
        </StackPanel>

        <!--Menu-->
        <StackPanel Grid.Column="0" Grid.Row="7" Orientation="Horizontal">
            <Button Content="{x:Static properties:Resources.Add}" Command="{Binding AddVehicleCommand}"/>
            <Button Content="{x:Static properties:Resources.Remove}" Command="{Binding DeleteVehicleCommand}" />
            <Button Content="{x:Static properties:Resources.Edit}" Command="{Binding EditVehicleCommand}" />
        </StackPanel>


        <!--RIGHT SIDE-->
        <!--RadioButtons-->
        <StackPanel Grid.Column="1" Grid.Row="1" Orientation="Horizontal">
            <RadioButton GroupName="RecordType" IsChecked="True" Command="{Binding RecordTypeChangedCommand}" CommandParameter="Fault">
                <Label Content="{x:Static properties:Resources.Faults}" />
            </RadioButton>
            <RadioButton GroupName="RecordType" Command="{Binding RecordTypeChangedCommand}" CommandParameter="Investment">
                <Label Content="{x:Static properties:Resources.Investments}" />
            </RadioButton>
        </StackPanel>
        
        <!--List-->
        <Grid Grid.Column="1" Grid.Row="2" Grid.RowSpan="5" >
            <ListBox ItemsSource="{Binding FilteredServiceRecordsCollection}" DisplayMemberPath="Name" ScrollViewer.VerticalScrollBarVisibility="Auto"
                     SelectedItem="{Binding SelectedServiceRecord, Mode=TwoWay}"/>
        </Grid>
        
        <!--Menu-->
        <StackPanel Grid.Column="1" Grid.Row="7" Orientation="Horizontal">
            <Button Content="{x:Static properties:Resources.Add}" Command="{Binding AddRecordCommand}"/>
            <Button Content="{x:Static properties:Resources.Remove}" Command="{Binding DeleteRecordCommand}"/>
            <Button Content="{x:Static properties:Resources.Edit}" Command="{Binding EditRecordCommand}"/>
        </StackPanel>

    </Grid>
    
</Window>
